### Method

# Gio Task propagate_boolean

since: 2.36

#### Declaration [src]

    gboolean
    g_task_propagate_boolean (
      GTask* task
      GError** error
    )

#### Description [src]

Gets the result of `task` as a #gboolean.

If the task resulted in an error, or was cancelled, then this will instead return `FALSE` and set `error`.

Since this method transfers ownership of the return value (or error) to the caller, you may only call it once.

Available since: 2.36

#### Return value

Type: `gboolean`

The task result, or `FALSE` on error.